package de.berlin.airport.artemis.json;

// {"id":"13","name":"$sys.mqtt.sessions","address":"$sys.mqtt.sessions","filter":"",
// "durable":"true","paused":"false","temporary":"false","purgeOnNoConsumers":"false",
// "consumerCount":"0","maxConsumers":"-1","autoCreated":"false","user":"","routingType":"ANYCAST",
// "messagesAdded":"0","messageCount":"0","messagesAcked":"0","messagesExpired":"0","deliveringCount":"0",
// "messagesKilled":"0","directDeliver":"false","exclusive":"false","lastValue":"true","lastValueKey":"_AMQ_LVQ_NAME",
// "scheduledCount":"0","groupRebalance":"false","groupRebalancePauseDispatch":"false","groupBuckets":"-1",
// "groupFirstKey":"","enabled":"true","ringSize":"-1","consumersBeforeDispatch":"0","delayBeforeDispatch":"-1",
// "autoDelete":"false","internalQueue":"true"}
public class Queue {
    private int id;
    private String name;
    private String address;
    private String filter;
    private boolean durable;
    private boolean paused;
    private boolean temporary;
    private boolean purgeOnNoConsumers;
    private int consumerCount;
    private int maxConsumers;
    private boolean autoCreated;
    private String user;
    private String routingType;
    private int messagesAdded;
    private int messageCount;
    private int messagesAcked;
    private int messagesExpired;
    private int deliveringCount;
    private int messagesKilled;
    private boolean directDeliver;
    private boolean exclusive;
    private boolean lastValue;
    private String lastValueKey;
    private int scheduledCount;
    private boolean groupRebalance;
    private boolean groupRebalancePauseDispatch;
    private int groupBuckets;
    private String groupFirstKey;
    private boolean enabled;
    private int ringSize;
    private int consumersBeforeDispatch;
    private int delayBeforeDispatch;
    private boolean autoDelete;
    private boolean internalQueue;
    public int getId() {
        return id;
    }
    public void setId(int id) {
        this.id = id;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public String getAddress() {
        return address;
    }
    public void setAddress(String address) {
        this.address = address;
    }
    public String getFilter() {
        return filter;
    }
    public void setFilter(String filter) {
        this.filter = filter;
    }
    public boolean isDurable() {
        return durable;
    }
    public void setDurable(boolean durable) {
        this.durable = durable;
    }
    public boolean isPaused() {
        return paused;
    }
    public void setPaused(boolean paused) {
        this.paused = paused;
    }
    public boolean isTemporary() {
        return temporary;
    }
    public void setTemporary(boolean temporary) {
        this.temporary = temporary;
    }
    public boolean isPurgeOnNoConsumers() {
        return purgeOnNoConsumers;
    }
    public void setPurgeOnNoConsumers(boolean purgeOnNoConsumers) {
        this.purgeOnNoConsumers = purgeOnNoConsumers;
    }
    public int getConsumerCount() {
        return consumerCount;
    }
    public void setConsumerCount(int consumerCount) {
        this.consumerCount = consumerCount;
    }
    public int getMaxConsumers() {
        return maxConsumers;
    }
    public void setMaxConsumers(int maxConsumers) {
        this.maxConsumers = maxConsumers;
    }
    public boolean isAutoCreated() {
        return autoCreated;
    }
    public void setAutoCreated(boolean autoCreated) {
        this.autoCreated = autoCreated;
    }
    public String getUser() {
        return user;
    }
    public void setUser(String user) {
        this.user = user;
    }
    public String getRoutingType() {
        return routingType;
    }
    public void setRoutingType(String routingType) {
        this.routingType = routingType;
    }
    public int getMessagesAdded() {
        return messagesAdded;
    }
    public void setMessagesAdded(int messagesAdded) {
        this.messagesAdded = messagesAdded;
    }
    public int getMessageCount() {
        return messageCount;
    }
    public void setMessageCount(int messageCount) {
        this.messageCount = messageCount;
    }
    public int getMessagesAcked() {
        return messagesAcked;
    }
    public void setMessagesAcked(int messagesAcked) {
        this.messagesAcked = messagesAcked;
    }
    public int getMessagesExpired() {
        return messagesExpired;
    }
    public void setMessagesExpired(int messagesExpired) {
        this.messagesExpired = messagesExpired;
    }
    public int getDeliveringCount() {
        return deliveringCount;
    }
    public void setDeliveringCount(int deliveringCount) {
        this.deliveringCount = deliveringCount;
    }
    public int getMessagesKilled() {
        return messagesKilled;
    }
    public void setMessagesKilled(int messagesKilled) {
        this.messagesKilled = messagesKilled;
    }
    public boolean isDirectDeliver() {
        return directDeliver;
    }
    public void setDirectDeliver(boolean directDeliver) {
        this.directDeliver = directDeliver;
    }
    public boolean isExclusive() {
        return exclusive;
    }
    public void setExclusive(boolean exclusive) {
        this.exclusive = exclusive;
    }
    public boolean isLastValue() {
        return lastValue;
    }
    public void setLastValue(boolean lastValue) {
        this.lastValue = lastValue;
    }
    public String getLastValueKey() {
        return lastValueKey;
    }
    public void setLastValueKey(String lastValueKey) {
        this.lastValueKey = lastValueKey;
    }
    public int getScheduledCount() {
        return scheduledCount;
    }
    public void setScheduledCount(int scheduledCount) {
        this.scheduledCount = scheduledCount;
    }
    public boolean isGroupRebalance() {
        return groupRebalance;
    }
    public void setGroupRebalance(boolean groupRebalance) {
        this.groupRebalance = groupRebalance;
    }
    public boolean isGroupRebalancePauseDispatch() {
        return groupRebalancePauseDispatch;
    }
    public void setGroupRebalancePauseDispatch(boolean groupRebalancePauseDispatch) {
        this.groupRebalancePauseDispatch = groupRebalancePauseDispatch;
    }
    public int getGroupBuckets() {
        return groupBuckets;
    }
    public void setGroupBuckets(int groupBuckets) {
        this.groupBuckets = groupBuckets;
    }
    public String getGroupFirstKey() {
        return groupFirstKey;
    }
    public void setGroupFirstKey(String groupFirstKey) {
        this.groupFirstKey = groupFirstKey;
    }
    public boolean isEnabled() {
        return enabled;
    }
    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }
    public int getRingSize() {
        return ringSize;
    }
    public void setRingSize(int ringSize) {
        this.ringSize = ringSize;
    }
    public int getConsumersBeforeDispatch() {
        return consumersBeforeDispatch;
    }
    public void setConsumersBeforeDispatch(int consumersBeforeDispatch) {
        this.consumersBeforeDispatch = consumersBeforeDispatch;
    }
    public int getDelayBeforeDispatch() {
        return delayBeforeDispatch;
    }
    public void setDelayBeforeDispatch(int delayBeforeDispatch) {
        this.delayBeforeDispatch = delayBeforeDispatch;
    }
    public boolean isAutoDelete() {
        return autoDelete;
    }
    public void setAutoDelete(boolean autoDelete) {
        this.autoDelete = autoDelete;
    }
    public boolean isInternalQueue() {
        return internalQueue;
    }
    public void setInternalQueue(boolean internalQueue) {
        this.internalQueue = internalQueue;
    }
}
